%define upstream_name    URI-Title
%define upstream_version 1.900

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module to get the titles of things on the web in a sensible way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/URI-Title-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Type) >= 0.220.0
BuildRequires: perl(HTML::Parser) >= 3.450.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(MP3::Info)
BuildRequires: perl(Module::Pluggable) >= 1.200.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl module to get the titles of things on the web in a sensible way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# broken with encoding, I do not know why 
#make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/URI/*
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-3.mga6
+ Revision: 1035651
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.900.0-2.mga6
+ Revision: 965739
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.900.0-1.mga6
+ Revision: 837160
- update to 1.900

* Wed Oct 15 2014 umeabot <umeabot> 1.880.0-3.mga5
+ Revision: 739629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.880.0-2.mga5
+ Revision: 686773
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.880.0-1.mga5
+ Revision: 588831
- update to 1.88

* Fri Oct 18 2013 umeabot <umeabot> 1.860.0-3.mga4
+ Revision: 515782
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.860.0-2.mga3
+ Revision: 374578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.860.0-1.mga3
+ Revision: 255556
- update to 1.86

* Fri Jun 17 2011 jquelin <jquelin> 1.850.0-1.mga2
+ Revision: 109021
- update to 1.85

* Mon Jan 24 2011 jquelin <jquelin> 1.820.0-1.mga1
+ Revision: 37214
- mageia rebuild
- imported package perl-URI-Title


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.820.0-1mdv2010.0
+ Revision: 406207
- rebuild using %%perl_convert_version

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.82-1mdv2009.1
+ Revision: 295523
- update to new version 1.82

* Tue Oct 14 2008 Michael Scherer <misc@mandriva.org> 1.62-1mdv2009.1
+ Revision: 293745
- disable test until I found out why they are broke with regard to encoding
- import perl-URI-Title

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Sep 24 2007 Michael Scherer <misc@mandriva.org> 1.62-1mdv2008.0
- First Mandriva package
